## com.vividsolutions.jts.operation.linemerge
Class LineMerger

    java.lang.Object
      com.vividsolutions.jts.operation.linemerge.LineMerger

public class LineMerger
extends java.lang.Object

Sews together a set of fully noded LineStrings. Sewing stops at nodes of degree 1 or 3 or more -- the exception is an isolated loop, which only has degree-2 nodes, in which case a node is simply chosen as a starting point. The direction of each merged LineString will be that of the majority of the LineStrings from which it was derived.

Any dimension of Geometry is handled -- the constituent linework is extracted to form the edges. The edges must be correctly noded; that is, they must only meet at their endpoints. The LineMerger will still run on incorrectly noded input but will not form polygons from incorrected noded edges.

Version:
  1.7

Constructor Summary
`LineMerger()`

Method Summary
`void` `add(java.util.Collection geometries)` Adds a collection of Geometries to be processed.
`void` `add(Geometry geometry)` Adds a Geometry to be processed.
`java.util.Collection` `getMergedLineStrings()` Returns the LineStrings built by the merging process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineMerger

    public LineMerger()

Method Detail

### add

    public void add(java.util.Collection geometries)

  Adds a collection of Geometries to be processed. May be called multiple times. Any dimension of Geometry may be added; the constituent linework will be extracted.

### add

    public void add(Geometry geometry)

  Adds a Geometry to be processed. May be called multiple times. Any dimension of Geometry may be added; the constituent linework will be extracted.

### getMergedLineStrings

    public java.util.Collection getMergedLineStrings()

  Returns the LineStrings built by the merging process.